from flask import Flask, render_template
from flask_mysqldb import MySQL

app = Flask(__name__)

app.config['MYSQL_HOST'] = 'localhost'
app.config['MYSQL_USER'] = 'root'
app.config['MYSQL_PASSWORD'] = 'codio'
app.config['MYSQL_DB'] = 'students'
mysql = MySQL(app)

@app.route('/')
@app.route('/index')
def index():
    cursor = mysql.connection.cursor()
    cursor.execute("SELECT score from grades;")
    results = cursor.fetchall()
    cursor.close()
    return render_template('index.html', title='Home', scores=results)

if __name__ == '__main__':
    app.run(host='0.0.0.0')
